<?php
if($this->session->userdata('is_logged_in')===FALSE){
            redirect('login');
}

foreach ($template->result() as $template){
    $filename=$template->kdtemplate;
    $namafile=str_replace(" ","",$template->namatemplate);
}

$url = base_url("resources/template/putusan/perdata_agama/".$filename.".rtf");
$Template = file_get_contents($url);

$idperkara=$this->encrypt->decode(base64_decode($enc));
$idalurperkara = $this->tanggalhelper->getIDAlurPerkara($idperkara);
$jenisPerkaraID=$this->tanggalhelper->getIDJenisPerkara($idperkara);

if (!empty($dataPenetapanHakim->num_rows)) {
    foreach ($dataPenetapanHakim->result() as $key=>$datapenhakim) {
        $$key=$datapenhakim;
    }
    foreach ($datapenhakim as $key=>$varhasil){
        $$key=$varhasil;
    }
} else {
    $penetapan_majelis="..................";
    $hakim_nama="..................";
}

if (!empty($dataPenetapanPP_Sidang->num_rows)) {
    foreach ($dataPenetapanPP_Sidang->result() as $key=>$datapenPP_Sidang) {
        $$key=$datapenPP_Sidang;
    }
    foreach ($datapenPP_Sidang as $key=>$varhasil){
        $$key=$varhasil;
    }
} else {
    $tanggal_penetapan="..................";
    $panitera_nama="..................";
}

if (!empty($dataPN->num_rows)) {
    foreach ($dataPN->result() as $key=>$datapn) {
        $$key=$datapn;
    }
    foreach ($datapn as $key=>$varhasil) {
        $$key=$varhasil;
    }
}

if (!empty($dataPerkara->num_rows)) {
    foreach ($dataPerkara->result() as $key=>$dataperkara){
        $$key=$dataperkara;   
    }
    foreach ($dataperkara as $key=>$varhasil){
        $$key=$varhasil;   
    }
}


if ($dataMediasi->num_rows > 0 ) {
	foreach ($dataMediasi->result() as $row){
	    $namaMediator = $this->templatehelper->standradnaming($row->mediator_text);
		$tanggalLaporanMediasi = $this->templatehelper->convertKeTglIndo($row->tgl_laporan_mediator);
	}
} else {
	   	$namaMediator = '...............';
		$tanggalLaporanMediasi = '...............';
}
if ($dataPutusan->num_rows > 0 ) {
    foreach ($dataPutusan->result() as $key=>$dataputusan){
        $$key=$dataputusan;   
    }
    foreach ($dataputusan as $key=>$varhasil){
        $$key=$varhasil;   
    }
}
if (empty($tanggal_putusan)){
	$tanggal_putusan='...................';
	$tgl_hijriah='...................';
    $hari_putusan='.................';
}else{
    $hari_putusan=$this->templatehelper->getHari($tanggal_putusan);
	$tgl_hijriah = $this->templatehelper->convertToHijriah($tanggal_putusan);
}
if (empty($amar_putusan)){
	$amar_putusan='isi dengan amar putusan';
}
if (empty($dihadiri_oleh)){
	$dihadiri_oleh='.......................';
}

$dataPihak1=$dataPihak1;
$dataPihak2=$dataPihak2;
$dataPihak3=$dataPihak3;
$dataPengacaraPihak1=$dataPengacaraPihak1;
$dataPengacaraPihak2=$dataPengacaraPihak2;
$dataPengacaraPihak3=$dataPengacaraPihak3;
$dataSaksi=$dataSaksi;
$nama_pengadilan = ucwords(strtolower($this->templatehelper->standradnaming($NamaPN)));
$alamt_pn=$this->templatehelper->standradnaming($AlamatPN);

$nama_ketua = $KetuaPNNama;
$nama_wakil=$WakilKetuaPNNama;
$nama_pansek=$PansekPNNama;
if ($tanggal_pendaftaran!='') {
    $tanggal_pendaftaran=$this->templatehelper->convertKeTglIndo($tanggal_pendaftaran);
}else{
    $tanggal_pendaftaran='___________';
}
$jenis_perkara_nama=$jenis_perkara_nama;
$nomor_perkara=$nomor_perkara;
$tanggal_surat=$this->templatehelper->convertKeTglIndo($tanggal_surat);
$nomor_surat=$nomor_surat;
$petitum=$petitum;
if (empty($nomor_sk_penetapan_majelis)) {
    $no_penetapan_majelis='_____________';
}else{
    $no_penetapan_majelis=$nomor_sk_penetapan_majelis;
}
$tgl_penetapan_majelis=$this->templatehelper->convertKeTglIndo($penetapan_majelis);
$tgl_sidang_pertama=$this->templatehelper->convertKeTglIndo($tanggal_sidang);
$no_penetapan_pp=$nomor_sk_penetapan_pp;
$tgl_penetapan_pp=$this->templatehelper->convertKeTglIndo($penetapan_pp);
$no_penetapan_pp=$nomor_sk_penetapan_pp;
$nama_pp=$panitera_nama;

$i=0;
$temp_pihak='';
$temp_kuasa='';
$pihak_array='';
foreach ($dataPihak1->result() as $row) {
    if($temp_pihak!=$row->id_pihak){
        $temp_pihak=$row->id_pihak;
        if($i>0){
            $pihak_array = str_replace("#ke#",' '.$this->templatehelper->converToAngkaRomawi($i), $pihak_array);
        }
        
        $pihak_array.=$row->nama.', umur '.$row->umur.' tahun, agama '.$row->agama.
                ', pekerjaan '.$row->pekerjaan.', Pendidikan '.$row->pendidikan.
                ', alamat '.$row->alamat;  
                    
        if($row->id_kuasa!=''){
            if($i>0){$pihak_array= str_replace("#DKK#",'', $pihak_array);}
            $pihak_array.=' dalam hal ini memberikan kuasa khusus kepada '.$row->nama_kuasa.
                ' #DKK# advokat/penasehat hukum dari '.$row->nama.
                ' yang berkantor di '.$row->alamat_kuasa.' berdasarkan surat kuasa khusus tanggal '.$this->templatehelper->convertKeTglIndo($row->tgl_kuasa).
                ' sebagai #SEBAGAI_P##ke#;#par#';            
        }else{
            $pihak_array.=' sebagai #SEBAGAI_P##ke#;#par#';    
        }
        $i++;
    }else{
         $pihak_array = str_replace("#DKK#",'dan kawan kawan', $pihak_array);
    }
}
if($i>1){
    $pihak_array = str_replace("#ke#",' '.$this->templatehelper->converToAngkaRomawi($i), $pihak_array);
    $pihak_array = str_replace("#par#",' \\par ', $pihak_array);
}else{
    $pihak_array= str_replace("#DKK#",'', $pihak_array);
    $pihak_array = str_replace("#ke#",'', $pihak_array);
    $pihak_array = str_replace("#par#",'', $pihak_array);
}
$Template = str_replace("#loopingpenggugat#",$pihak_array,$Template);

$i=0;
$temp_pihak='';
$temp_kuasa='';
$pihak_array='';
foreach ($dataPihak2->result() as $row) {
    if($temp_pihak!=$row->id_pihak){
        $temp_pihak=$row->id_pihak;
        if($i>0){
            $pihak_array = str_replace("#ke#",' '.$this->templatehelper->converToAngkaRomawi($i), $pihak_array);
        }
        
        $pihak_array.=$row->nama.', umur '.$row->umur.' tahun, agama '.$row->agama.
                ', pekerjaan '.$row->pekerjaan.', Pendidikan '.$row->pendidikan.
                ', alamat '.$row->alamat;  
                    
        if($row->id_kuasa!=''){
            if($i>0){$pihak_array= str_replace("#DKK#",'', $pihak_array);}
            $pihak_array.=' dalam hal ini memberikan kuasa khusus kepada '.$row->nama_kuasa.
                ' #DKK# advokat/penasehat hukum dari '.$row->nama.
                ' yang berkantor di '.$row->alamat_kuasa.' berdasarkan surat kuasa khusus tanggal '.$this->templatehelper->convertKeTglIndo($row->tgl_kuasa).
                ' sebagai #SEBAGAI_T##ke#;#par#';            
        }else{
            $pihak_array.=' sebagai #SEBAGAI_T##ke#;#par#';    
        }
        $i++;
    }else{
         $pihak_array = str_replace("#DKK#",'dan kawan kawan', $pihak_array);
    }
}
if($i>1){
    $pihak_array = str_replace("#ke#",' '.$this->templatehelper->converToAngkaRomawi($i), $pihak_array);
    $pihak_array = str_replace("#par#",' \\par ', $pihak_array);
}else{
    $pihak_array = str_replace("#ke#",'', $pihak_array);
    $pihak_array = str_replace("#par#",'', $pihak_array);
}
$Template = str_replace("#loopingtergugat#",$pihak_array,$Template);

$i=0;
$temp_pihak='';
$temp_kuasa='';
$pihak_array='';
foreach ($dataSaksi->result() as $row) {
    if($temp_pihak!=$row->id_pihak){
        $temp_pihak=$row->id_pihak;
        if($i>0){
            $pihak_array = str_replace("#ke#",' '.$this->templatehelper->converToAngkaRomawi($i), $pihak_array);
        }
        
        $pihak_array.=$row->nama.', umur '.$row->umur.' tahun, agama '.$row->agama.
                ', pekerjaan '.$row->pekerjaan.', Pendidikan '.$row->pendidikan.
                ', alamat '.$row->alamat;  
                    
        if($row->id_kuasa!=''){
            if($i>0){$pihak_array= str_replace("#DKK#",'', $pihak_array);}
            $pihak_array.=' dalam hal ini memberikan kuasa khusus kepada '.$row->nama_kuasa.
                ' #DKK# advokat/penasehat hukum dari '.$row->nama.
                ' yang berkantor di '.$row->alamat_kuasa.' berdasarkan surat kuasa khusus tanggal '.$this->templatehelper->convertKeTglIndo($row->tgl_kuasa).
                ' sebagai #SEBAGAI_P##ke#;#par#';            
        }else{
            $pihak_array.=' sebagai #SEBAGAI_P##ke#;#par#';    
        }
        $i++;
    }else{
         $pihak_array = str_replace("#DKK#",'dan kawan kawan', $pihak_array);
    }
}
if($i>1){
    $pihak_array = str_replace("#ke#",' '.$this->templatehelper->converToAngkaRomawi($i), $pihak_array);
    $pihak_array = str_replace("#par#",' \\par ', $pihak_array);
}else{
    $pihak_array= str_replace("#DKK#",'', $pihak_array);
    $pihak_array = str_replace("#ke#",'', $pihak_array);
    $pihak_array = str_replace("#par#",'', $pihak_array);
}
$Template = str_replace("#loopingsaksi#",$pihak_array,$Template);

$counter = 1;
$majelis = '';
$arr_majelis = array();
$numbering = true;
$hakim_ketua='';
$hakim_anggotaN='';
if($dataPenetapanHakim->num_rows >1){
    for ($i=0; $i < $dataPenetapanHakim->num_rows; $i++) { 
        $text = 'hakimanggota'.($i+1);
        if($i==$dataPenetapanHakim->num_rows-1){
            $Template = str_replace('#loopingmajelis#','\b#'.$text.'#\b0',$Template);
        }else{
            $Template = str_replace('#loopingmajelis#','\b#'.$text.'#\b0Hakim Anggota\\par\\par\\par'.PHP_EOL.'#loopingmajelis#',$Template);
        }
    }   
}else{
    $numbering = false;
    $Template = str_replace('#loopingmajelis#','#hakimanggota#',$Template);
}

if (!empty($dataPenetapanHakim->num_rows)){
    foreach ($dataPenetapanHakim->result() as $row){
        $arr_majelis[]=$row->urutan_hakim;
        if ($dataPenetapanHakim->num_rows==1) {
            $hakimanggota = '\b0\\par ';
        }else{
            $hakimanggota = '\b0\\par ';
        }
        $majelis = "";
        if ($row->urutan_hakim==1) {
            $hakim_ketua=$row->hakim_nama;
        }else{
            if ($row->urutan_hakim!=1){
                $hakim_anggotaN .= ' '.$this->templatehelper->standradnaming($row->hakim_nama);
					if ($row->urutan_hakim != $dataPenetapanHakim->num_rows){
						$hakim_anggotaN .= ' dan';
					}
                $majelis .= $counter.' '.$this->templatehelper->standradnaming($row->hakim_nama).'\\par';
            }
        }
        
        if($numbering==true){
            $Template = str_replace('#hakimanggota'.$counter.'#',$majelis,$Template);
            $Template = str_replace('#hakimanggota/hakim#','MAJELIS HAKIM',$Template);
        }else{
           $Template = str_replace('#hakimanggota#',$majelis,$Template);
           $Template = str_replace('#hakimanggota/hakim#','HAKIM TUNGGAL',$Template);
        }
        $counter++;   
    }
}

$idperkara=$this->encrypt->decode(base64_decode($enc));
$idalurperkara = $this->tanggalhelper->getIDAlurPerkara($idperkara);
$jenisPerkaraID=$this->tanggalhelper->getIDJenisPerkara($idperkara);

if ($idalurperkara==15) {
    $Template = str_replace("#GUGATAN_PERMOHONAN#",''."Gugatan".'',$Template);
    if ($jenisPerkaraID==346) {
        $Template = str_replace("#SEBAGAI_P#",''."Pemohon".'',$Template);
        $Template = str_replace("#SEBAGAI_T#",''."Termohon".'',$Template);
    }else{
        $Template = str_replace("#SEBAGAI_P#",''."Penggugat".'',$Template);
        $Template = str_replace("#SEBAGAI_T#",''."Tergugat".'',$Template);
    }
}else{
    $Template = str_replace("#GUGATAN_PERMOHONAN# ",''."Permohonan".'',$Template);   
    $Template = str_replace("#SEBAGAI_P#",''."Pemohon".'',$Template);
    $Template = str_replace("#SEBAGAI_T#",''."Termohon".'',$Template);
}

$biaya_pnbp=0;$biaya_atk=0;$biaya_panggilan=0;$biaya_materai=0;$biaya_redaksi=0;$biaya_lain=0;$biaya_pemberitahuan=0;
if($dataBiayaPerkara->num_rows >1){
    foreach ($dataBiayaPerkara->result() as $row ) {
        if  ($row->kategori_id==11) {
            $biaya_pnbp += intval($row->jumlah);
        }
        if  ($row->kategori_id==12) {
            $biaya_atk += intval($row->jumlah);
        }
        if  ($row->kategori_id==4) {
            $biaya_panggilan += intval($row->jumlah);
        }
        if  ($row->kategori_id==8) {
            $biaya_materai += intval($row->jumlah);
        }
        if  ($row->kategori_id==13) {
            $biaya_redaksi += intval($row->jumlah);
        }
        if  ($row->kategori_id==14) {
            $biaya_lain += intval($row->jumlah);
        }
        if  ($row->kategori_id==6) {
            $biaya_pemberitahuan += intval($row->jumlah);
        }
    }
}

$biaya_ikrar_p=0;$biaya_ikrar_t=0;
if($dataBiayaIkrar->num_rows >0){
    foreach ($dataBiayaIkrar->result() as $row ) {
        if  ($row->jenis_biaya_id==12 || $row->jenis_biaya_id==13) {
            $biaya_ikrar_p += intval($row->jumlah);
        }
        if  ($row->jenis_biaya_id==14 || $row->jenis_biaya_id==15) {
            $biaya_ikrar_t += intval($row->jumlah);
        }
    }
}

if ($jenisPerkaraID=='346' OR $jenisPerkaraID=='347') {
            if ($dataPernikahan->num_rows>0) {
                foreach ($dataPernikahan->result() as $key=>$datanikah){
                    $$key=$datanikah;   
                }

                foreach ($datanikah as $key=>$varhasil){
                    $$key=$varhasil;   
                }
            }
            if ($dataIkrarTalak->num_rows>0) {
                foreach ($dataIkrarTalak->result() as $key=>$dataikrar){
                    $$key=$dataikrar;   
                }
                foreach ($dataikrar as $key=>$varhasil){
                    $$key=$varhasil;   
                }
                $Template = str_replace("#amar_ikrar#",''.$this->templatehelper->cleanHtmlTagSpecial($amar_ikrar_talak).'',$Template);
                $Template = str_replace("#hari_ikrar_talak#",''.$this->templatehelper->getHari($tgl_ikrar_talak).'',$Template);
                if (!empty($tgl_ikrar_talak)){
                    $Template = str_replace("#tgl_ikrar_talak#",''.$this->templatehelper->convertKeTglIndo($tgl_ikrar_talak).'',$Template);
                    $Template = str_replace("#tgl_ikrar_hijriyah#",''.$this->templatehelper->convertToHijriah($tgl_ikrar_talak).'',$Template);
                }else{
                     $Template = str_replace("#tgl_ikrar_talak#",'________________',$Template);
                $Template = str_replace("#tgl_ikrar_hijriyah#",'________________',$Template);
                }
                $Template = str_replace("#hari_nikah#",''.$this->templatehelper->getHari($tgl_nikah).'',$Template);
                $Template = str_replace("#tgl_nikah#",''.$this->templatehelper->convertKeTglIndo($tgl_nikah).'',$Template);
                $Template = str_replace("#nomor_kutipan_akta_nikah#",''.$no_kutipan_akta_nikah.'',$Template);
                $Template = str_replace("#tgl_kutipan_akta_nikah#",''.$this->templatehelper->convertKeTglIndo($tgl_kutipan_akta_nikah).'',$Template);
                $Template = str_replace("#tgl_sidang_pertama_ikrar#",''.$this->templatehelper->convertKeTglIndo($tgl_sidang_pertama_ikrar).'',$Template);
                $Template = str_replace("#tgl_sidang_akhir_ikrar#",''.$this->templatehelper->convertKeTglIndo($tgl_sidang_akhir_ikrar).'',$Template);
                $Template = str_replace("#kua#",''.$kua_tempat_nikah.'',$Template);
            }else{
                $Template = str_replace("#amar_ikrar#",'________________',$Template);
                $Template = str_replace("#hari_ikrar_talak#",'________________',$Template);
                $Template = str_replace("#tgl_ikrar_talak#",'________________',$Template);
                $Template = str_replace("#tgl_ikrar_hijriyah#",'________________',$Template);
                $Template = str_replace("#hari_nikah#",'________________',$Template);
                $Template = str_replace("#tgl_nikah#",'________________',$Template);
                $Template = str_replace("#nomor_kutipan_akta_nikah#",'________________',$Template);
                $Template = str_replace("#tgl_kutipan_akta_nikah#",'________________',$Template);
                $Template = str_replace("#tgl_sidang_pertama_ikrar#",'________________',$Template);
                $Template = str_replace("#tgl_sidang_akhir_ikrar#",'________________',$Template);
                $Template = str_replace("#kua#",'________________',$Template);
            }
    }

if ($idalurperkara==15) {
    $Template = str_replace("#jenis_perkara#",''."Gugatan".'',$Template);
    if ($jenisPerkaraID==346) {
        $Template = str_replace("#jenis_pihak1#",''."Pemohon".'',$Template);
        $Template = str_replace("#jenis_pihak2#",''."Termohon".'',$Template);
    }else{
        $Template = str_replace("#jenis_pihak1#",''."Penggugat".'',$Template);
        $Template = str_replace("#jenis_pihak2#",''."Tergugat".'',$Template);
    }
}elseif($idalurperkara==16){
    $Template = str_replace("#jenis_perkara#",''."Permohonan".'',$Template);   
    $Template = str_replace("#jenis_pihak1#",''."Pemohon".'',$Template);
    $Template = str_replace("#jenis_pihak2#",''."Termohon".'',$Template);
}
$Template = str_replace("#nomor_perkara#",''.$nomor_perkara.'',$Template);
$Template = str_replace("#nama_mediator#",''.$namaMediator.'',$Template);
$Template = str_replace("#tgl_laporan_mediasi#",''.$tanggalLaporanMediasi.'',$Template);

$Template = str_replace("Pengadilan Agama ",'',str_replace("#namakota#",ucwords(strtolower($nama_pengadilan)),$Template));
$Template = str_replace("Mahkamah Syar'iyah ",'',str_replace("#namakota#",ucwords(strtolower($nama_pengadilan)),$Template));

$Template = str_replace("#hakim_anggotaN#",''.$hakim_anggotaN.'',$Template);
$Template = str_replace("#hakim_ketua#",''.$hakim_ketua.'',$Template);
$Template = str_replace("#warga_negara#",'Indonesia'.'',$Template);
$Template = str_replace("#no_perkara#",''.$nomor_perkara.'',$Template);
$Template = str_replace("#nama_pa#",''.$nama_pengadilan.'',$Template);
$Template = str_replace("#alamat_pn#",''.$alamt_pn.'',$Template);


$Template = str_replace("#tgl_pendaftaran#",''.$tanggal_pendaftaran.'',$Template);
$Template = str_replace("#tgl_surat#",''.$tanggal_pendaftaran.'',$Template);
$Template = str_replace("#no_penetapan_majelis#",''.$no_penetapan_majelis.'',$Template);
$Template = str_replace("#tgl_penetapan_majelis#",''.$tgl_penetapan_majelis.'',$Template);
$Template = str_replace("#tgl_penunjukkan_pp#",''.$tgl_penetapan_pp.'',$Template);
$Template = str_replace("#tgl_sidang#",''.$tgl_sidang_pertama.'',$Template);
$Template = str_replace("#no_penetapan_sidang#",''.$nomor_perkara.'',$Template);
$Template = str_replace("#nama_pp#",''.$nama_pp.'',$Template);

$Template = str_replace("#petitum#",''.$this->templatehelper->cleanHtmlTagSpecial($petitum).'',$Template);
$Template = str_replace("#tgl_sidang_putusan#",''.$this->templatehelper->convertKeTglIndo($tanggal_putusan).'',$Template);
$Template = str_replace("#TGL_HIRJIYAH#",''.$tgl_hijriah.'',$Template);
$Template = str_replace("#hari_sidang_putusan#",''.$hari_putusan.'',$Template);
$Template = str_replace("#amar_putusan#",''.$this->templatehelper->cleanHtmlTagSpecial($amar_putusan).'',$Template);
$Template = str_replace("#dihadiri_oleh#",''.$this->templatehelper->cleanHtmlTagSpecial($dihadiri_oleh).'',$Template);
$total_biaya=intval($biaya_pnbp)+intval($biaya_atk)+intval($biaya_panggilan)+11000;
$Template = str_replace("#biaya_pnbp#",''.number_format($biaya_pnbp).'',$Template);
$Template = str_replace("#biaya_atk#",''.number_format($biaya_atk).'',$Template);
$Template = str_replace("#biaya_panggilan#",''.number_format($biaya_panggilan).'',$Template);
$Template = str_replace("#biaya_materai#",''.number_format('6000').'',$Template);
$Template = str_replace("#biaya_redaksi#",''.number_format('5000').'',$Template);
$Template = str_replace("#total_biaya#",''.number_format($total_biaya).'',$Template);

//ikrar
$total_biaya_ikrar=intval($biaya_ikrar_p)+intval($biaya_ikrar_t);
$Template = str_replace("#biaya_ikrar_p#",''.number_format($biaya_ikrar_p).'',$Template);
$Template = str_replace("#biaya_ikrar_t#",''.number_format($biaya_ikrar_t).'',$Template);
$Template = str_replace("#total_biaya_ikrar#",''.number_format($total_biaya_ikrar).'',$Template);

$temp = explode(' ', $nama_pengadilan);
$Template = str_replace("#pa/ms#",''.$temp[0].' '.$temp[1].'',$Template);

header("Content-Type: application/vnd.ms-word");
header("Expires: 0");
header("Cache-Control:  must-revalidate, post-check=0, pre-check=0");
header("Content-disposition: attachment; filename=\"".$nomor_perkara."-".$namafile.".rtf\"");
echo $Template;
?>